{{ attach_library('guest_list/view-guest-css') }}

<div id="view-guest-container">
    {% if guests %}
        <table>
        <thead>
            <tr>
                <td>#</td>
                <td>First Name</td>
                <td>Last Name</td>
                <td>Email</td>
                <td>Phone</td>
                <td>Contact Type</td>
                <td>Approved</td>
                <td>Updated At</td>
                <td>Actions</td>
            </tr>
        </thead>
        <tbody>
            {% for guest in guests %}
                <tr>
                    <td>{{ guest.id }}</td>
                    <td>{{ guest.first_name }}</td>
                    <td>{{ guest.last_name }}</td>
                    <td>{{ guest.email }}</td>
                    <td>{{ guest.phone }}</td>
                    <td>{{ guest.contact_type }}</td>
                    <td>{{ guest.approved }}</td>
                    <td>{{ guest.updated_at }}</td>
                    <td style="display: flex; align-item: center;">
                        <a href="{{ baseUrl }}/edit-guest/{{ guest.id }}">
                            <svg viewBox="0 0 220.001 220.001">
                                <g>
                                    <polygon points="0,220 59.34,213.86 6.143,160.661 	"/>
                                    <path d="M132.018,34.787l53.197,53.197L69.568,203.631L16.37,150.434L132.018,34.787z M212.696,60.502
                                        c9.738-9.738,9.742-25.527,0-35.268l-17.93-17.93c-9.738-9.74-25.529-9.738-35.268,0l-17.346,17.347l53.199,53.196L212.696,60.502z
                                        "/>
                                </g>
                            </svg>
                        </a>
                        <a href="{{ baseUrl }}/delete-guest/{{ guest.id }}">
                            <svg viewBox="0 0 457.503 457.503">
                                <g>
                                    <g>
                                        <path d="M381.575,57.067h-90.231C288.404,25.111,261.461,0,228.752,0C196.043,0,169.1,25.111,166.16,57.067H75.929
                                            c-26.667,0-48.362,21.695-48.362,48.362c0,26.018,20.655,47.292,46.427,48.313v246.694c0,31.467,25.6,57.067,57.067,57.067
                                            h195.381c31.467,0,57.067-25.6,57.067-57.067V153.741c25.772-1.02,46.427-22.294,46.427-48.313
                                            C429.936,78.761,408.242,57.067,381.575,57.067z M165.841,376.817c0,8.013-6.496,14.509-14.508,14.509
                                            c-8.013,0-14.508-6.496-14.508-14.509V186.113c0-8.013,6.496-14.508,14.508-14.508c8.013,0,14.508,6.496,14.508,14.508V376.817z
                                            M243.26,376.817c0,8.013-6.496,14.509-14.508,14.509c-8.013,0-14.508-6.496-14.508-14.509V186.113
                                            c0-8.013,6.496-14.508,14.508-14.508c8.013,0,14.508,6.496,14.508,14.508V376.817z M320.679,376.817
                                            c0,8.013-6.496,14.509-14.508,14.509c-8.013,0-14.509-6.496-14.509-14.509V186.113c0-8.013,6.496-14.508,14.509-14.508
                                            s14.508,6.496,14.508,14.508V376.817z"/>
                                    </g>
                                </g>
                            </svg>
                        </a>
                    </td>
                </tr>
            {% endfor %}
        </tbody>
        </table>
    {% else %}
        <p>There is no guest in the list</p>
    {% endif %}
</div>
